EVENTFD_FGET(9)

NAME
eventfd_fget - Acquire a reference of an eventfd file descriptor.

SYNOPSIS

struct file * eventfd_fget(int fd);

ARGUMENTS

fd
    [in] Eventfd file descriptor.

DESCRIPTION

Returns a pointer to the eventfd file structure in case of success, or the

FOLLOWING ERROR POINTER

-EBADF : Invalid fd file descriptor. -EINVAL : The fd file descriptor is not an eventfd file.

COPYRIGHT